#{extends 'border.html'/}
<div class="container">
#{form @controllers.masterdata.UnitPengukuranCtr.importSubmit(), method:'POST', class:'form-horizontal'}
	
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.UnitPengukuranCtr.index()}">&{'unit_pengukuran.label'}</a></li>
				<li class="active">&{'impor.label'} &{'excel.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<div class="toolbar">
				#{backButton/}
				#{saveButton/}
			</div>
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="form-group required">
						<label class="col-md-2 control-label">&{'unggah_file.label'} &{'excel.label'}</label>
						<div class="col-md-6">
							<a href="@{'public/files/upload/template/template_import_unit_pengukuran.xlsx'}" class="btn btn-info"><i class="fa fa-upload"></i> &{'template_unduh.label'} &{'impor.label'} &{'unit_pengukuran.label'}</a>
							<p>(&{'pembacaan_data_sel.label'} A4)</p>
							<input id="unit_pengukuran_upload" name="unit-pengukuran-json" multiple="multiple" type="file" required>
							<input id="resultJson" name="resultJson" type="hidden" />
							<p>&{'maksimum.label'} &{'ukuran_file.label'} 20 MB</p>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label"></label>
						<div class="col-md-6" style="overflow-x: auto">
							<table class="table table-condensed" id="tbl-unit-ukur">
								<thead>
									<tr>
										<th>&{'nama_unit_pengukuran.label'}</th>
										<th>&{'deskripsi.label'}</th>
									</tr>
								</thead>
								<tbody>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	#{/form}
</div>

#{set 'moreScripts'}

<script type="text/javascript">
	$(document).on('change', '#unit_pengukuran_upload', function(e) {
		doupload(e, process_wb);

	});

	function process_wb(wb) {
		var output = to_json(wb, 2);

		var sheet_name = "Unit Pengukuran";
		var field_nama = "Unit Pengukuran";
		var field_deskripsi = "Deskripsi";

		var sheet_name='MANUFAKTUR';

		var res = output[sheet_name];
		var content = '';

		$.each(res, function(index, value) {

			content += '<tr>';
			content += '<td>' + value[field_nama] + '</td>';
			content += '<td>' + value[field_deskripsi] + '</td>';
			content += '</tr>';
		});

		$('#tbl-unit-ukur tbody').html(content);
		$('#resultJson').val(JSON.stringify(res));

	}
</script>

#{/set}
